/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/qquickkeyframe_p.h>
#include <private/qquicktimeline_p.h>
#include <private/qquicktimelineanimation_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQuick_Timeline()
{
    qmlRegisterModule("QtQuick.Timeline", 6, 0);
    qmlRegisterTypesAndRevisions<QQuickKeyframe>("QtQuick.Timeline", 6);
    qmlRegisterTypesAndRevisions<QQuickKeyframeGroup>("QtQuick.Timeline", 6);
    qmlRegisterTypesAndRevisions<QQuickTimeline>("QtQuick.Timeline", 6);
    qmlRegisterTypesAndRevisions<QQuickTimelineAnimation>("QtQuick.Timeline", 6);
    qmlRegisterAnonymousTypesAndRevisions<QQuickAbstractAnimation>("QtQuick.Timeline", 6);
    qmlRegisterModule("QtQuick.Timeline", 6, 4);
}

static const QQmlModuleRegistration registration("QtQuick.Timeline", qml_register_types_QtQuick_Timeline);
